### File

`packages/eui-dynamic-forms-ui/src/lib/components/container-field/bc-root/bc-root.component.ts`

### Extends

`BaseDynComponent`

### Implements

`OnInit` `OnDestroy`

### Metadata

selector | `ux-dyn-bc-root`
templateUrl | `./bc-root.component.html`

### Index

###### Properties

- formService
- formState
- inputs
- router
- uxAppShellService
- Optional childrenConfig
- context
- Optional dynFormApi
- Optional fieldId
- Optional frameId
- Optional genericService
- Optional globalStore
- isEditMode
- Optional parent
- Optional parentData
- Optional setId

###### Methods

- onError
- onModalAccept
- onSubmit
- onSuccess
- openModal
- sendPayload
- setInitials
- subEvents
- validate
- getDynFormApi
- getFieldData
- saveFieldData

### Constructor

`constructor(config)`

Parameters :

Name | Optional
config | No

### Methods

onError
`onError(response: any)`

Parameters :

Name | Type | Optional
response | `any` | No

Returns : `void`

onModalAccept
`onModalAccept()`
Returns : `void`

onSubmit
`onSubmit()`
Returns : `void`

onSuccess
`onSuccess(response: any)`

Parameters :

Name | Type | Optional
response | `any` | No

Returns : `void`

openModal
`openModal()`
Returns : `void`

sendPayload
`sendPayload()`
Returns : `void`

setInitials
`setInitials()`
Returns : `void`

subEvents
`subEvents()`
Returns : `void`

validate
`validate()`
Returns : `void`

getDynFormApi
`getDynFormApi()`
Returns : `any`

getFieldData
`getFieldData(key: string)`

Parameters :

Name | Type | Optional
key | `string` | No

Returns : `Observable<any>`

saveFieldData
`saveFieldData(key: string, val: any)`

Parameters :

Name | Type | Optional
key | `string` | No
val | `any` | No

Returns : `void`

### Properties

formService
Type : `FormService`

formState

inputs
Type : `BcRootComponentInputs`

router
Type : `Router`

uxAppShellService
Type : `UxAppShellService`

Optional childrenConfig
Type : `UxDynFormModelArray`

context
Type : `FieldContext`

Optional dynFormApi
Type : `DynFormApi`

Optional fieldId
Type : `string`

Optional frameId
Type : `string`

Optional genericService
Type : `DynGenericService`

Optional globalStore
Type : `Store<any>`

isEditMode
Type : `boolean`

Optional parent
Type : `FormGroup | FormArray`

Optional parentData
Type : `UxDynFormArrayParentData`

Optional setId
Type : `string`

# result-matching ""

# No results matching ""